=== debian/changelog ===
hatari (2.2.0+dfsg-1) unstable; urgency=medium

  * Import upstream version 2.2.0
  * Bump debhelper compatibility level to 12
  * Add Rules-Requires-Root: no
  * Build with python3, force python3 shebang
  * Drop 03-fix-py-extension, applied upstream
  * Refresh patch 06-fix-typo-in-manpage
  * Add new patch fixing installation of python-ui documentation
  * Update copyright information
  * Update README.Debian, WinUAE CPU core is now the default
  * Bump standards-version, no changes required
  * Add patch for using py3 for gentypes during build
  * Disable test suite for now
  * Run wrap-and-sort -ast

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Thu, 31 Jan 2019 22:33:28 +0100
