=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

LDFLAGS += -Wl,--as-needed
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@ --buildsystem=cmake --builddirectory=build --with=python3

override_dh_auto_configure:
	 dh_auto_configure -O--buildsystem=cmake \
	   -O--builddirectory=build \
	   -- \
	   -DCMAKE_COLOR_MAKEFILE:BOOL=0 \
	   -DCMAKE_C_FLAGS:STRING="$(CFLAGS)" \
	   -DCMAKE_CXX_FLAGS:STRING="$(CXXFLAGS)" \
	   -DCMAKE_LINK_FLAGS:STRING="$(LDFLAGS)"

override_dh_auto_build:
	dh_auto_build -O--buildsystem=cmake -O--builddirectory=build

override_dh_install:
	dh_install --sourcedir=build

	# Remove bundled EmuTOS image
	#-rm debian/hatari/usr/share/hatari/tos.img

	# Install binfmt support for atari binaries
	install -m644 -D debian/binfmt debian/hatari/usr/share/binfmts/hatari

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
	true

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=cmake -O--builddir=build
	find . -name *.pyc -exec rm -f {} \;
