=== debian/control ===
--- 
+++ 
@@ -2,34 +2,30 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Teemu Hukkanen <tjhukkan@iki.fi>
-Build-Depends:
- cmake,
- debhelper-compat (= 12),
- dh-python,
- libpng-dev,
- libreadline-dev,
- libsdl2-dev,
- portaudio19-dev,
- python3,
- zlib1g-dev,
+Build-Depends: cmake,
+               debhelper-compat (= 12),
+               dh-python,
+               libpng-dev,
+               libreadline-dev,
+               libsdl2-dev,
+               portaudio19-dev,
+               python3,
+               zlib1g-dev,
 Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Homepage: http://hatari.tuxfamily.org/
 
 Package: hatari
 Architecture: any
-Depends:
- gir1.2-gtk-3.0,
- python3-gi,
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},
-Recommends:
- binfmt-support,
-Suggests:
- dosfstools,
- mtools,
- unzip,
+Depends: gir1.2-gtk-3.0,
+         python3-gi,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
+Recommends: binfmt-support,
+Suggests: dosfstools,
+          mtools,
+          unzip,
 Description: Emulator for the Atari ST, STE, TT, and Falcon computers
  Hatari is an emulator for the Atari ST line of computers.
  .
