=== debian/changelog ===
hatari (2.2.1+dfsg-1) unstable; urgency=medium

  * Import upstream version 2.2.1 (Closes: 923833)
  * Bump debhelper compatibility level to 12
  * Add Rules-Requires-Root: no
  * Build with python3, force python3 shebang
  * Drop 03-fix-py-extension, applied upstream
  * Add new patch fixing installation of python-ui documentation
  * Update copyright information
  * Update README.Debian, WinUAE CPU core is now the default
  * Bump standards-version, no changes required
  * Add patch for using py3 for gentypes during build
  * Run wrap-and-sort -at
  * Disable test suite for now

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 22 Dec 2019 21:07:46 +0100
